## org.omg.CosNaming
Class BindingHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.BindingHelper

public class BindingHelper
extends java.lang.Object

Helper class for : Binding

Author:
  OpenORB Compiler

Constructor Summary
`BindingHelper()`

Method Summary
`static Binding` `extract(Any a)` Extract Binding from an any
`static java.lang.String` `id()` Return the Binding IDL ID
`static void` `insert(Any a, Binding t)` Insert Binding into an any
`static Binding` `read(InputStream istream)` Read Binding from a marshalled stream
`static TypeCode` `type()` Return the Binding TypeCode
`static void` `write(OutputStream ostream, Binding value)` Write Binding into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingHelper

    public BindingHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Binding t)

  Insert Binding into an any
  Parameters:
    `a` - an any
    `t` - Binding value

### extract

    public static Binding extract(Any a)

  Extract Binding from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted Binding value

### type

    public static TypeCode type()

  Return the Binding TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the Binding IDL ID
  Returns:
    an ID

### read

    public static Binding read(InputStream istream)

  Read Binding from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed Binding value

### write

    public static void write(OutputStream ostream,
                             Binding value)

  Write Binding into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - Binding value